QGIS Application - Feature request #14755
Status: Open
Assignee:

Category: Unknown

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 22712
Description

I noticed that hitting Esc closes some windows but not all, which seems a bit inconsistent. For example, Esc closes the layer settings
window, but not the expression window for configuring the label content. Shouldn't this be streamlined?

History

#1 - 2016-05-05 04:51 AM - Richard Duivenvoorde

- File dialogs.png added

Yes, you are right. That would be best.

As you can see in screenshot attache, also different dialogs seem different, AND the way buttons are named and the way you close the dialog is different.

We started the UX-mailing list for this, | think the best way to start is by making a list of these things, and then fix one by one...

Best to do this just after an LTR (like now) because we have to update screenshots in documentation also after this kind of fixes...

#2 - 2017-05-01 12:46 AM - Giovanni Manghi

- Easy fix? set to No

#3 - 2017-09-22 10:05 AM - Jiirgen Fischer

- Category set to Unknown

Files

dialogs.png 203 KB 2016-05-05 Richard Duivenvoorde
